# Frequently Asked Questions

_Last updated: 2023-12-17_

[Last updated]: https://mau.dev/andreijiroh.dev/website/-/commits/main/markdown/faq.md

!!! warning "This page is a working draft"
    I'll be compiling some more answers to frequently asked questions about me in the future. In the meanwhile, if your
    answer is not here, [let me know](./contact/index.md) or search the internet.

## Disability and neurodivergence

!!! note "Dive deeper"
    I may expect to get questions about autism in general, so I compile these resources ahead of time.

    * **Personal user manual**: [Neurodivergence and Disability](./user-manual/neurodivergence-and-disability.md)
    * **Community resources**: [Public Neurodiversity Support Center (PNDSC)](https://coda.io/@mykola-bilokonsky/public-neurodiversity-support-center), plus resources at [Awesome Neurodiversity](https://linktr.ee/AwesomeND) list


## Personal basics

### Pronouns?

My pronouns are he/they, but I'm more than welcome to use gender-neutral pronouns instead.

### Can I send you a physical letter or gift?

For privacy reasons, I can't publish my home address for obvious privacy reasons, but
I'll reconsider it in the future. If you still want to, options are:

* covering purchases on my wishlist on [Gift App](https://giftapp.com/ajhalili2006)

## All things free/libre and open-source

### Are you an open-source/free software absolutist?

Not necessary as hard as RMS, though I still have to do my own homework on its culture, among other things like self-hosting and defense in depth in terms of security and privacy.

The only problems here why I can't go full in would be the toxicity of the tech/open-source spaces and the same reason
why you still need to use Windows solely at work (bless anyone setting their dev environments in Windows containers).

### Why haven't you reviewed my merge request or email patch?

I'm so sorry. Life keeps getting in the way of me being a responsive maintainer,
especially as neurodivergent [getting hit by the burnout bus] and experiencing
mental health struggles. Your hard work deserves better!

[getting hit by the burnout bus]: #can-you-tell-me-more-about-your-autistic-burnout

By the way, please don't harass me over DMs like Duo for not reviewing your patch
(although in case of emergency patches like seucrity-related ones,
please be respectful).

### Thoughts on Business Source License, Server-Side Public License, and similiar non-OSS licenses?

_(This is focused on Elastic, MongoDB, HashiCorp and the like, not dual-licensed software like GitLab.)_

We're not talking about copyright assignment clauses in CLAs yet, but while copyright consoliation
simplifies maintainers' life when relicensing, the problem here in open-core companies is
that contributions are being "milked" by capitalistic forces (pardon the NSFW references)
for profit at expense of the community.

## The Bloody Hell PH

### Do you plan to dig anyone's grave (past in this case) to get them cancelled to hell and back?

Wish I could say no thanks on doing a lot of OSINT, but Twitter's (now X) been a hot mess lately and
while writing every single internet shitfuckery (not just people getting cancelled) costs more spoons than in school while masking hard. Sure, I may cover some of them,
but there's a lot of stuff happening across the interwebs and I can't do the homework alone.

### So if you don't intend to dig anyone's grave, [then why are you digging?][toh-eclipse-lake-transcript]

[toh-eclipse-lake-transcript]: https://theowlhouse.fandom.com/wiki/Eclipse_Lake/Transcript#:~:text=Then%20why%20are%20you%20digging%3F

<!-- Maybe turn this-->
!!! warning "Pardon The Owl House spoilers, I may inadvently roleplay as [Hunter] here."
    [Here's the clip][clipyard-eclipse-lake] if you need some context. While it may be edging
    into suicide here from the context of autistic trauma (hint: mostly due to [Belos manipulating him][autistic-trauma-session-belos])

Possible reasons including: TBD

[clipyard-eclipse-lake]: https://www.youtube.com/watch?v=zfeJiilDPp8
[hunter]: https://theowlhouse.fandom.com/wiki/Hunter
[autistic-trauma-session-belos]: https://www.reddit.com/r/TheOwlHouse/comments/p006uq/can_we_talk_about_belos_manipulation_on_hunter/
